Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class BLMeasureInfo

    java.lang.Object
      jet.api.BLMeasureInfo

Direct Known Subclasses:
  BVAggregationInfo

    public class BLMeasureInfo

extends java.lang.Object

The BLMeasureInfo defines the `Measure` object of JReport BusinessLogic. The BusinessLogic of JReport is also called `Business cube` or `Report cube`.

Measure objects are numeric cube elements that are calculated dynamically at run time. Measures can be used alone or calculated with other fields. A measure object can be inserted wherever a summary can be inserted. For instance, it can be inserted into the group header or footer panel in a table or banded object, or into a crosstab as an aggregate field. A measure object can also be used as a detail field in a banded object or table although it will display the same aggregate value for every detail line. JReport calculates values based on the group level at which the measure object is inserted such as total sales, average order size and number of orders from a customer.

Constructor Summary
`BLMeasureInfo(java.lang.String refMappingName, java.lang.String measureName)` Constructor.
`BLMeasureInfo(java.lang.String field, java.lang.String function, java.lang.String measureName)` Constructor.

Method Summary
`void` | `addDetailInfo(BLDetailInfo detailInfo)` Adds a JReport BusinessLogic Detail definition into the Measure.
`java.lang.String` | `getAggField()` Gets the Aggregate field name of the Measure.
`java.lang.String` | `getAggFunction()` Gets the Aggregate function name of the Measure.
`java.lang.String` | `getDescription()` Gets the description of the Measure.
`BLDetailInfo[]` | `getDetailInfos()` Gets Detail definitions of the Measure.
`java.lang.String` | `getDisplayName()` Gets the display name of the Measure.
`java.lang.String` | `getName()` Gets the name of the Measure.
`java.lang.String` | `getPrompt()` Gets the prompt text of the Measure.
`java.lang.String` | `getRefMappingName()` Gets the summary's referred resource name of the Measure.
`void` | `setAggField(java.lang.String field)` Sets the Aggregate field name of the Measure.
`void` | `setAggFunction(java.lang.String function)` Sets the Aggregate function name of the Measure.
`void` | `setDescription(java.lang.String description)` Sets the description of the Measure.
`void` | `setDisplayName(java.lang.String displayName)` Sets the display name of the Measure.
`void` | `setName(java.lang.String name)` Sets the name of the Measure.
`void` | `setPrompt(java.lang.String prompt)` Sets the prompt text of the Measure.
`void` | `setRefMappingName(java.lang.String mappingName)` Sets the summary's referred resource name of the Measure.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BLMeasureInfo

    public BLMeasureInfo(java.lang.String refMappingName,
                         java.lang.String measureName)

  Constructor. Creates a definition of JReport BusinessLogic Measure object.

  Parameters:
    `measureName` - Indicates the Measure name.
    `refMappingName` - Indicates the summary field resource(mapping) name referred by the Measure.

### BLMeasureInfo

    public BLMeasureInfo(java.lang.String field,
                         java.lang.String function,
                         java.lang.String measureName)

  Constructor. Creates a JReport BusinessLogic Measure.

  Parameters:
    `measureName` - Indicates the Measure name.
    `field` - Indicates the field resource name of the Measure.
    `function` - Indicates the function name of the Measure.

Method Detail

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

  Sets the display name of the Measure.

  Parameters:
    `displayName` - The display name of the Measure.

### getDisplayName

    public java.lang.String getDisplayName()

  Gets the display name of the Measure.

  Returns:
    the display name of the Measure.

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description of the Measure.

  Parameters:
    `description` - The description of the Measure.

### getDescription

    public java.lang.String getDescription()

  Gets the description of the Measure.

  Returns:
    the description of the Measure.

### setPrompt

    public void setPrompt(java.lang.String prompt)

  Sets the prompt text of the Measure.

  Parameters:
    `prompt` - The prompt text of the Measure.

### getPrompt

    public java.lang.String getPrompt()

  Gets the prompt text of the Measure.

  Returns:
    the prompt text of the Measure.

### setName

    public void setName(java.lang.String name)

  Sets the name of the Measure.

  Parameters:
    `name` - The name of the Measure.

### getName

    public java.lang.String getName()

  Gets the name of the Measure.

  Returns:
    the name of the Measure.

### setRefMappingName

    public void setRefMappingName(java.lang.String mappingName)

  Sets the summary's referred resource name of the Measure.

  Parameters:
    `mappingName` - The referred resource name of the summary.

### getRefMappingName

    public java.lang.String getRefMappingName()

  Gets the summary's referred resource name of the Measure.

  Returns:
    the referred resource name of the summary.

### setAggFunction

    public void setAggFunction(java.lang.String function)

  Sets the Aggregate function name of the Measure.

  Parameters:
    `function` - The Aggregate function name.

### getAggFunction

    public java.lang.String getAggFunction()

  Gets the Aggregate function name of the Measure.

  Returns:
    the Aggregate function name.

### setAggField

    public void setAggField(java.lang.String field)

  Sets the Aggregate field name of the Measure.

  Parameters:
    `field` - The Aggregate field name.

### getAggField

    public java.lang.String getAggField()

  Gets the Aggregate field name of the Measure.

  Returns:
    the Aggregate field name.

### getDetailInfos

    public BLDetailInfo[] getDetailInfos()

  Gets Detail definitions of the Measure.

  Returns:
    Detail definitions array of the Measure.

### addDetailInfo

    public void addDetailInfo(BLDetailInfo detailInfo)

  Adds a JReport BusinessLogic Detail definition into the Measure.

  Parameters:
    `detailInfo` - The Detail definition that will be created in the Measure.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD